> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# leaderboards

### POST /locations/:location\_id/dashboards/goalsleaderboards

This endpoint retrieves iframe for leaderboards from TeamCare application.

#### Parameters

* location\_id (required): The ID of the location for which leaderboards dashboard is to be retrieved.
* type (required): Specifies which leaderboard iframe to retrieve. Must be one of the following values: `doctors`, `hygiene`, `front_desk`, `reactivation`.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/dashboard/leaderboards?type=reactivation" \
    -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/dashboard/leaderboards?type=reactivation", {
    method: "POST",
    headers: {
      "Authorization": "Bearer YOUR_ACCESS_TOKEN"
    }
  })

  const data = await response.json()
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/dashboard/leaderboards?type=reactivation",
      headers={"Authorization": "Bearer YOUR_ACCESS_TOKEN"}
  )

  data = response.json()
  ```

  ```ruby Ruby theme={null}
  require "net/http"
  require "json"

  uri = URI("https://app.teamcaredental.com/api/v1/vendors/locations/:location_id/dashboard/leaderboards?type=reactivation")
  request = Net::HTTP::Post.new(uri)
  request["Authorization"] = "Bearer YOUR_ACCESS_TOKEN"

  response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: true) do |http|
    http.request(request)
  end

  data = JSON.parse(response.body)
  ```
</CodeGroup>

#### Response

* Content-Type: application/json

```json theme={null}
{
    "iframe": "string"
}
```
